// Project: Rocket Commander, File: Program.cs
// Namespace: RocketCommander, Class: Program
// Path: C:\code\Rocket Commander, Author: Abi
// Code lines: 153, Size of file: 5.8 KB
// Creation date: 11.01.2006 07:12
// Last modified: 11.01.2006 14:04
// Generated with Commenter by abi.exDream.com

#if DEBUG
#region Using directives
using System;
using System.Collections.Generic;
using System.Text;
using RocketCommander.Game;
using RocketCommander.Graphics;
using RocketCommander.Helpers;
using RocketCommander.Input;
using RocketCommander.Shaders;
using RocketCommander.Sounds;
#endregion

namespace RocketCommander
{
	class UnitTesting
	{
		/// <summary>
		/// Start static test, we just do it this way because we can't
		/// use any professional tools here. In normal projects I would
		/// use VS addins, which are not supported or allowed in
		/// VS Express (say hello and good bye to TestDriven.Net).
		/// We always start this in Debug mode, use Release mode
		/// to start the actual game. You can also just use the
		/// first unit test to start the actual game.
		/// Note: This are ONLY static unit tests, all dynamic unit
		/// tests are covered with NUnit-gui.exe!
		/// </summary>
		public static void StartTest()
		{
			// Just uncomment the line you want to test.
			// Normally you should only test one line at a time.
			// If you are crazy, you can also test everything (lots of tests!)

			//Program.TestStartGame();
			//Program.TestDisplayWindow();

			//GraphicForm.TestIsVisible();
			//GameForm.StartTest("GameForm.StartTest", null, null);
			//TestForm.TestTestForm();

			//BaseAsteroidManager.TestRenderingAsteroids();
			//BaseAsteroidManager.TestAsteroidManager();
			//new PhysicsAsteroidManager.AsteroidPhysicsUsingAsteroidManagerTests().
			//  TestAsteroidManagerPhysics();
			//new PhysicsAsteroidManager.AsteroidPhysicsUsingAsteroidManagerTests().
			//  TestAsteroidPhysicsSmallScene();

			KeyboardInput.TestKeyboardInput();
			//MouseInput.TestMouseInput();

			//SpaceCamera.TestSpaceCamera();
			//LensFlare.TestLensFlare();
			//LineManager.TestRenderLines();

			//Texture.TestTextures();
			//Texture.TestRenderingRotatedTexture();
			//Texture.TestFullscreenTextures();
			//AnimatedTexture.TestAnimatedTexture();

			//Model.TestModel();
			//AnimatedModel.TestAnimatedModel();
			//AnimatedModel.TestAnimatedModelWithShader();

			//PostScreenGlow.TestPostScreenGlow();
			//PreScreenSkyCubeMapping.TestSkyCubeMapping();

			//MusicManager.TestPlayMusic();
			//Sample.SampleTests.TestPlaySamples();
			//Sample.SampleTests.TestPitchingSounds();

			//new EnumHelper.EnumHelperTests().TestGetAllEnumNames();

			//SimpleShader.TestSimpleShader();
		} // StartTest()
	} // class UnitTesting
} // namespace RocketCommander
#endif